// ============================================================================
// FLOTILLA - Tabbing system
// Description: The .Flotilla-content divs need to come directly after
// the .Flotilla-tabs
// ============================================================================

var N = N || {};

N.tabs = {};

(function(N, $){ //start IIFE

N.tabs.assignDataIDs = function(){
  this.$tabsTab.each(function(i){
    $(this).attr('data-id', i);
    $('.Flotilla-content:eq('+i+')').attr('data-id', i);
  });
};

N.tabs.eventHandlers = function(){
  this.$tabsTab.on('click', function(){
    console.log('yeap');
    var id = $(this).attr('data-id');
    $(this).siblings('.Flotilla-tab').removeClass('active');
    $(this).addClass('active');
    $(this).siblings('.Flotilla-content').removeClass('active');
    $('.Flotilla-content[data-id='+id+']').addClass('active');
  });
};

N.tabs.init = function(){
  this.$tabs = $('.Flotilla-tab-wrap');
  if( this.$tabs.length ){ //check if tabs exist on page
    this.$tabsTab = $('.Flotilla-tab');
    this.$tabsContent = $('.Flotilla-content');
    this.assignDataIDs();
    this.eventHandlers();
  }
};


}(N, $)); //end IIFE

$(document).ready(function(){
  N.tabs.init();
});
